[SciPy-User] Correctly compiling SciPy with UMFPACK support?

Ioan-Alexandru Lazar alexlz@lmn.pub...
Wed Aug 11 10:44:29 CDT 2010


Hello Dag,

As I mentioned in my initial message, I get the same error with the
UMFPACK wrapper in scikits. With my message being fairly long, this was
probably hidden somewhere non-obvious so I'll reiterate this here -- I get
exactly the same error message with the scikits UMFPACK wrapper.

I suspect it's something about how I build UMFPACK because if I replace
the __umfpack.so that gets built from source with the one supplied by
Fedora's scipy package, it works (although that's not linked with the BLAS
libraries I need).

Perhaps someone who has managed to compile the scikits wrapper from source
with a custom-built UMFPACK can shed some light on this? In the meantime,
I think I'll try to look for Fedora's Scipy and suitesparse or UMFPACK
SRPMs to see if I can find something interesting in there.

Thanks for your time!

Sincerely yours,
Alexandru Lazar

> I just wanted to make you aware that the UMFPACK wrapper has a new home
> over at scikits (scikits.appspot.com). Perhaps you'll have better luch
> with that one...
>
> Haven't tried myself though.
>
> Dag Sverre
>
>



More information about the SciPy-User mailing list